commit: 6f149afdec7db691ab9f3d6c5fa0e4467295ebfa
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 24 14:31:41 2019 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Nov 24 15:09:13 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f149afd
python-utils-r1.eclass: Fix early return in _python_impl_matches
Fix _python_impl_matches() not to return early on unsuccessful -2/-3
match. This caused constructs such as '$(python_gen_cond_dep ... -2
python3_{5,6,7})' to ignore arguments following '-2'.
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
eclass/python-utils-r1.eclass | 5 ++---
1 file changed, 2 insertions(+), 3 deletions(-)
diff --git a/eclass/python-utils-r1.eclass b/eclass/python-utils-r1.eclass
index 647eb04344d..44337c687aa 100644
--- a/eclass/python-utils-r1.eclass
+++ b/eclass/python-utils-r1.eclass
@@ -183,10 +183,9 @@ _python_impl_matches() {
for pattern; do
if [[ ${pattern} == -2 ]]; then
- ! python_is_python3 "${impl}"
- return
+ python_is_python3 "${impl}" || return 0
elif [[ ${pattern} == -3 ]]; then
- python_is_python3 "${impl}"
+ python_is_python3 "${impl}" && return 0
return
# unify value style to allow lax matching
elif [[ ${impl/./_} == ${pattern/./_} ]]; then